# Generated by Django 2.2.5 on 2019-09-11 07:22

from django.conf import settings
from django.db import migrations, models
import picklefield.fields


class Migration(migrations.Migration):

    dependencies = [
        ('askbot', '0014_populate_askbot_roles'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='post',
            options={'ordering': ['-last_edited_at', '-points']},
        ),
        migrations.RemoveField(
            model_name='postrevision',
            name='ip_addr',
        ),
        migrations.AlterField(
            model_name='activity',
            name='activity_type',
            field=models.SmallIntegerField(choices=[(1, 'asked a question'), (2, 'answered a question'), (3, 'commented question'), (4, 'commented answer'), (5, 'edited question'), (6, 'edited answer'), (7, 'received badge'), (8, 'marked best answer'), (9, 'upvoted'), (10, 'downvoted'), (11, 'canceled vote'), (12, 'deleted question'), (13, 'deleted answer'), (14, 'marked offensive'), (15, 'updated tags'), (16, 'selected favorite'), (17, 'completed user profile'), (18, 'email update sent to user'), (29, 'a post was shared'), (20, 'reminder about unanswered questions sent'), (21, 'reminder about accepting the best answer sent'), (19, 'mentioned in the post'), (22, 'created tag description'), (23, 'updated tag description'), (24, 'made a new post'), (25, 'made an edit'), (26, 'created post reject reason'), (27, 'updated post reject reason'), (28, 'sent email address validation message'), (31, 'sent moderation alert')], db_index=True),
        ),
        migrations.AlterField(
            model_name='activity',
            name='summary',
            field=models.TextField(default=''),
        ),
        migrations.AlterField(
            model_name='activityauditstatus',
            name='status',
            field=models.SmallIntegerField(choices=[(0, 'new'), (1, 'seen')], default=0),
        ),
        migrations.AlterField(
            model_name='askwidget',
            name='include_text_field',
            field=models.BooleanField(blank=True, default=False),
        ),
        migrations.AlterField(
            model_name='emailfeedsetting',
            name='feed_type',
            field=models.CharField(choices=[('q_all', 'Entire forum'), ('q_ask', 'Questions that I asked'), ('q_ans', 'Questions that I answered'), ('q_noans', 'Unanswered questions'), ('q_sel', 'Individually selected questions'), ('m_and_c', 'Mentions and comment responses')], max_length=16),
        ),
        migrations.AlterField(
            model_name='emailfeedsetting',
            name='frequency',
            field=models.CharField(choices=[('i', 'instantly'), ('d', 'daily'), ('w', 'weekly'), ('n', 'never')], default='n', max_length=8),
        ),
        migrations.AlterField(
            model_name='group',
            name='is_vip',
            field=models.BooleanField(default=False, help_text='Check to make members of this group site moderators'),
        ),
        migrations.AlterField(
            model_name='group',
            name='moderate_answers_to_enquirers',
            field=models.BooleanField(default=False, help_text='If true, answers to outsiders questions will be shown to the enquirers only when selected by the group moderators.'),
        ),
        migrations.AlterField(
            model_name='group',
            name='openness',
            field=models.SmallIntegerField(choices=[(0, 'open'), (1, 'moderated'), (2, 'closed')], default=2),
        ),
        migrations.AlterField(
            model_name='group',
            name='preapproved_email_domains',
            field=models.TextField(blank=True, default='', null=True),
        ),
        migrations.AlterField(
            model_name='group',
            name='preapproved_emails',
            field=models.TextField(blank=True, default='', null=True),
        ),
        migrations.AlterField(
            model_name='groupmembership',
            name='level',
            field=models.SmallIntegerField(choices=[(0, 'pending'), (1, 'full')], default=1),
        ),
        migrations.AlterField(
            model_name='importedobjectinfo',
            name='extra_info',
            field=picklefield.fields.PickledObjectField(editable=False, help_text='to hold dictionary for various data'),
        ),
        migrations.AlterField(
            model_name='importedobjectinfo',
            name='model',
            field=models.CharField(default='', help_text='dotted python path to model', max_length=255),
        ),
        migrations.AlterField(
            model_name='importedobjectinfo',
            name='new_id',
            field=models.IntegerField(help_text='New object id in the current database'),
        ),
        migrations.AlterField(
            model_name='importedobjectinfo',
            name='old_id',
            field=models.IntegerField(help_text='Old object id in the source database'),
        ),
        migrations.AlterField(
            model_name='importrun',
            name='command',
            field=models.TextField(default=''),
        ),
        migrations.AlterField(
            model_name='localizeduserprofile',
            name='is_claimed',
            field=models.BooleanField(db_index=True, default=False, help_text='True, if user selects this language'),
        ),
        migrations.AlterField(
            model_name='markedtag',
            name='reason',
            field=models.CharField(choices=[('good', 'interesting'), ('bad', 'ignored'), ('subscribed', 'subscribed')], max_length=16),
        ),
        migrations.AlterField(
            model_name='postrevision',
            name='tagnames',
            field=models.CharField(blank=True, default='', max_length=125),
        ),
        migrations.AlterField(
            model_name='postrevision',
            name='title',
            field=models.CharField(blank=True, default='', max_length=300),
        ),
        migrations.AlterField(
            model_name='questionwidget',
            name='order_by',
            field=models.CharField(choices=[('-added_at', 'date descendant'), ('added_at', 'date ascendant'), ('-last_activity_at', 'most recently active'), ('last_activity_at', 'least recently active'), ('-answer_count', 'more responses'), ('answer_count', 'fewer responses'), ('-points', 'more votes'), ('points', 'less votes')], default='-added_at', max_length=18),
        ),
        migrations.AlterField(
            model_name='questionwidget',
            name='search_query',
            field=models.CharField(blank=True, default='', max_length=50, null=True),
        ),
        migrations.AlterField(
            model_name='questionwidget',
            name='style',
            field=models.TextField(blank=True, default="\n@import url('http://fonts.googleapis.com/css?family=Yanone+Kaffeesatz:300,400,700');\nbody {\n    overflow: hidden;\n}\n\n#container {\n    width: 200px;\n    height: 350px;\n}\nul {\n    list-style: none;\n    padding: 5px;\n    margin: 5px;\n}\nli {\n    border-bottom: #CCC 1px solid;\n    padding-bottom: 5px;\n    padding-top: 5px;\n}\nli:last-child {\n    border: none;\n}\na {\n    text-decoration: none;\n    color: #464646;\n    font-family: 'Yanone Kaffeesatz', sans-serif;\n    font-size: 15px;\n}\n", verbose_name='css for the widget'),
        ),
        migrations.AlterField(
            model_name='replyaddress',
            name='reply_action',
            field=models.CharField(choices=[('post_answer', 'Post an answer'), ('post_comment', 'Post a comment'), ('replace_content', 'Edit post'), ('append_content', 'Append to post'), ('auto_answer_or_comment', 'Answer or comment, depending on the size of post'), ('validate_email', 'Validate email and record signature')], default='auto_answer_or_comment', max_length=32),
        ),
        migrations.AlterField(
            model_name='repute',
            name='reputation_type',
            field=models.SmallIntegerField(choices=[(1, 'gain_by_upvoted'), (2, 'gain_by_answer_accepted'), (3, 'gain_by_accepting_answer'), (4, 'gain_by_downvote_canceled'), (5, 'gain_by_canceling_downvote'), (-1, 'lose_by_canceling_accepted_answer'), (-2, 'lose_by_accepted_answer_cancled'), (-3, 'lose_by_downvoted'), (-4, 'lose_by_flagged'), (-5, 'lose_by_downvoting'), (-6, 'lose_by_flagged_lastrevision_3_times'), (-7, 'lose_by_flagged_lastrevision_5_times'), (-8, 'lose_by_upvote_canceled'), (10, 'assigned_by_moderator')]),
        ),
        migrations.AlterField(
            model_name='role',
            name='role',
            field=models.CharField(choices=[('recv_feedback', "Receive user's feedback email"), ('recv_mod_alerts', 'Receive moderation alert emails'), ('terminate_accounts', 'Terminate user accounts'), ('download_user_data', 'Download user data')], max_length=64),
        ),
        migrations.AlterField(
            model_name='tag',
            name='suggested_by',
            field=models.ManyToManyField(help_text='Works only for suggested tags for tag moderation', related_name='suggested_tags', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='threadtogroup',
            name='visibility',
            field=models.SmallIntegerField(choices=[(0, 'show only published responses'), (1, 'show all responses')], default=1),
        ),
        migrations.AlterField(
            model_name='userprofile',
            name='avatar_type',
            field=models.CharField(choices=[('n', 'Default avatar'), ('g', 'Gravatar'), ('a', 'Uploaded Avatar')], default='n', max_length=1),
        ),
        migrations.AlterField(
            model_name='userprofile',
            name='languages',
            field=models.CharField(default='en', max_length=128),
        ),
        migrations.AlterField(
            model_name='userprofile',
            name='primary_language',
            field=models.CharField(choices=[('en', 'English')], default='en', max_length=16),
        ),
        migrations.AlterField(
            model_name='userprofile',
            name='status',
            field=models.CharField(choices=[('d', 'administrator'), ('m', 'moderator'), ('a', 'approved'), ('w', 'watched'), ('s', 'suspended'), ('b', 'blocked')], db_index=True, default='w', max_length=2),
        ),
        migrations.AlterField(
            model_name='userprofile',
            name='twitter_access_token',
            field=models.CharField(default='', max_length=256),
        ),
        migrations.AlterField(
            model_name='userprofile',
            name='twitter_handle',
            field=models.CharField(default='', max_length=32),
        ),
    ]
